/*
 * Copyright (c) 2011 Yan Pujante
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package org.linkedin.glu.orchestration.engine.action.descriptor;

import org.linkedin.glu.orchestration.engine.agents.NoSuchAgentException;

import java.net.URI;

/**
 * @author yan@pongasoft.com
 */
public interface AgentURIProvider
{
  /**
   * @return the agent uri given the agent name
   * @throws NoSuchAgentException if agent cannot be found
   */
  URI getAgentURI(String fabric, String agent) throws NoSuchAgentException;

  /**
   * @return the agent uri given the agent name or <code>null</code> if not found (no exception!)
   */
  URI findAgentURI(String fabric, String agent);
}